@charset "utf-8";

:root{
    /* 文字サイズ */
    --midashi-large-pc: 32px;
    --midashi-large-sp: 24px;
    --midashi-small: 14px;
}

/* mvアニメーションによる横幅変動で、位置がずれてしまうため */
.hamburger {
    left: calc(100% - 70px);
}
.g-nav.panelactive {
    right: calc(100% - 100%);
}

/* ---------------------------------------------------------------------------
  TOPページの共通パーツ
------------------------------------------------------------------------------  */

/* セクション内の上下余白 */
.common-inner {
    padding-top: 50px;
    padding-bottom: 50px;
}

/* 見出し */
.top-midashi {
    font-size: var(--midashi-large-sp);
    display: flex;
    flex-direction: column;
    margin-bottom: 40px;
    letter-spacing: 2.4px;
}
.top-midashi span {
    margin-top: 14px;
    font-size: var(--midashi-small);
    font-weight: normal;
    letter-spacing: 1.4px;
}
@media (min-width: 768px) {
    .top-midashi {
        font-size: var(--midashi-large-pc);
    }
}

/* 日付 */
.date {
    font-size: 14px;
    color: rgba(var(--white-rgb), 0.7);
    margin-bottom: 10px;
}

/* ---------------------------------------------------------------------------
  TOPページの中身
------------------------------------------------------------------------------  */

/* こだわり */
.about {
    background: var(--white);
}

.about-inner {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(3, auto);
    gap: 30px;
    
    padding-bottom: 50px;
}

.about-mv {
    margin-right: -20px;
    height: 500px;
}

.about-mv img {
    border-bottom-left-radius: 30px;
    height: 100%;
    object-fit: cover;
    object-position: 0px;
}

.about-text {
    width: 260px;
    margin-left: auto;
}

.about-text h2 {
    font-size: 22px;
    line-height: 1.5;
    letter-spacing: 3px;
}

.about-text p {
    font-size: 16px;
    font-weight: 600;
    line-height: 1.8;
    letter-spacing: 2.4px;
    text-align: justify;

    margin-top: 20px;
}

.about-photo {
    width: 100%;
    max-width: 330px;

    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
}

.shapes {
    width: 160px;
    transform: rotate(130deg);

    grid-column: 1 / 3;
    grid-row: 1 / 3;
    margin-top: auto;
}

.shapes img {
    width: 100%;
    aspect-ratio: 1 / 1;
}

.mask-bg {
    grid-column: 1 / 3;
    grid-row: 1 / 3;
    margin-left: auto;

    width: 240px;
    height: 240px;
    /* マスクをかける */
    mask-image: url("../img/mask01.svg");/*マスクレイヤーとして使用する画像*/
    mask-repeat: no-repeat;
    mask-size: 100% 90%;

    -webkit-mask-image: url("../img/mask01.svg");
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: 100% 90%;
}


@media (max-width: 400px) {
    .about-photo {
        width: 75%;
    }
    .mask-bg {
        width: 200px;
        height: 200px;
    }
}
@media (max-width: 480px) {
    .about-photo {
        width: 70%;
    }
    .mask-bg {
        width: 200px;
        height: 200px;
    }
}

@media (min-width: 768px) {
    .about-inner {
        width: 100%;
        padding-bottom: 50px;

        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, 1fr);
        gap: 0;
    }

    .about-mv {
        height: 650px;
        grid-column: 3 / 4;
        grid-row: 1 / 3;
    }

    .about-text {
        margin-top: 100px;
        margin-left: 0;
        grid-column: 1 / 3;
        grid-row: 1 / 3;
        width: 330px;
    }
    .about-text h2 {
        font-size: 28px;
        line-height: 1.4;
        letter-spacing: 4.8px;
    }
    .about-text p {
        margin-top: 10px;
    }

    .about-photo {
        margin-top: auto;
        margin-left: auto;
        margin-right: 30px;
        
        grid-column: 1 / 3;
        grid-row: 1 / 3;

        max-width: 350px;
    }
    .shapes {
        width: 200px;
    }
    .mask-bg {
        width: 260px;
        height: 260px;
    }

}

@media (min-width: 1100px) {

    .about-photo {
        max-width: 500px;
    }
    .shapes {
        width: 250px;
    }
    .mask-bg {
        width: 350px;
        height: 350px;
    }
    
}

@media (min-width: 1200px) {
    .about-mv {
        margin-right: calc((-100vw / 2) + 600px - 20px);
    }
}


/* 商品 */
.item {
    background-color: var(--white);
}

.slick-arrow {
    width: 50px;
    /* box-shadow: 5px 5px 4px rgba(var(--navy-rgb), 0.2); */

    position: absolute;
    top: 40%;
    transform: translateY(-50%);
    z-index: 1;
    cursor: pointer;
}
.slick-prev {
    left: calc(50% - 50vw + 20px);
}
.slick-next {
    right: calc(50% - 50vw + 20px);
}
.item-list {
    width: 90%;
    margin-right: auto;
    margin-left: auto;

    font-size: 14px;
}
.item-list li {
    margin-right: 1rem;
    margin-left: 1rem;
}
.item-list figure {
    box-shadow: 5px 5px 4px rgba(var(--navy-rgb), 0.2);
}
.item-content {
    margin-top: 1rem;
}
.item-name {
    height: calc(1.4 * 2em);
    line-height: 1.4;
    /* 2行表示 */
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}
.item-price {
    margin-top: 0.5rem;
    font-weight: bold;
    text-align: right;
}
.item-price span {
    font-size: 10px;
}

@media (min-width: 768px) {
    .slick-arrow {
        width: 60px;
    }
}

@media (min-width: 1200px) {
    
    .slick-prev {
        left: -58px;
    }

    .slick-next {
        right: -58px;
    }

}

/* マガジン */
.magazine {
    background-color: var(--light-navy);
    color: var(--white);
    letter-spacing: 0.1rem;
}
.magazine-content {
    margin-bottom: 20px;

}

.magazine-list {
    /* グリッド表示（1列×4行） */
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, 1fr);
}
.magazine-list li {
    border-bottom: 1px solid rgba(var(--white-rgb), 0.2);
    padding: 30px;
}
.magazine-list li:first-of-type {
    padding-top: 0;
}
.magazine-list li:last-of-type {
    border-bottom: none;
}
.magazine-list li a {
    display: block;
}

.magazine-title {
    height: calc(1.6 * 2rem);
    line-height: 1.6;
    /* 2行表示 */
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.magazine-photo figure {
    width: 100%;
}
.magazine-photo img {
    width: 100%;
}

@media (min-width: 600px) {
    /* グリッド表示（2列×2行） */
    .magazine-list {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
    }

    .magazine-list li:first-of-type {
        padding-top: 30px;
    }
    .magazine-list li:nth-of-type(2n + 1) {
        border-right: 1px solid rgba(var(--white-rgb), 0.2);
    }
    .magazine-list li:nth-of-type(3) {
        border-bottom: none;
    }
}

@media (min-width: 900px) {
    /* グリッド表示（4列×1行） */
    .magazine-list {
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: 1fr;
    }

    .magazine-list li {
        border-right: 1px solid rgba(var(--white-rgb), 0.2);
        border-bottom: none;
        padding: 20px 24px;
    }
    .magazine-list li:first-of-type {
        padding-top: 0;
        border-left: 1px solid rgba(var(--white-rgb), 0.2);
    }
    .magazine-list li:not(:first-of-type) {
        border-left: none;
    }
    .magazine-list li:first-of-type {
        padding: 20px 24px;
    }
    
}

/* インスタグラム */
.instagram {
    background-color: var(--white);
}

.instagram-article {
    line-height: 1.75;
    letter-spacing: 2.25px;
    margin-bottom: 60px;
}

.thumbnails-wrapper{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
 }
 .thumbnails-wrapper img{
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
 }
 .thumbnails-wrapper img:hover{
    opacity: .7;
    cursor: pointer;
 }
 .slides-wrapper {
     padding: 0 20px;
     max-width: 1000px;
     position: relative;
 }
 .slides-overlay{
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    left: 0;
    top: 0;
    margin: 0 calc(50% - 50vw);
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, .8);
    visibility: hidden;
    opacity: 0;
    z-index: 100003;
    transition: .3s;
 }
 .slides-overlay.active{
    visibility: visible;
    opacity: 1;
    transition: .3s;
 }
 .slides-overlay li {
    display:none;
    height: 70vh;
    overflow-y: scroll;
 }
 .slides-overlay li.active{
    display: block;
 }

 #close-02 {
    position: absolute;
    width: 50px;
    height: 50px;
    top: 0;
    right: 0;
    background-color: var(--white);
    border: 1px solid var(--navy);
    transition: .3s;
    z-index: 1;
 }
 #close-02:hover {
    opacity: .7;
 }
 #close-02::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 30px;
    height: 2px;
    background-color: var(--navy);
    transform: translate(-50%, -50%) rotate(45deg);
 }
 #close-02::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 30px;
    height: 2px;
    background-color: var(--navy);
    transform: translate(-50%, -50%) rotate(-45deg);
 }
 #prev, #next {
     position: absolute;
     color: #959595;
     width: 50px;
     height: 50px;
     bottom: -60px;
     transform: translateY(-50%);
     transition: .3s;
     background: rgba(var(--navy-rgb), 0.6);
     border: 1px solid var(--navy);
     border-radius: 9999px;
 }
 #prev svg, #next svg {
    width: 24px;
    stroke: var(--navy);
}
#prev svg {
    transform: scale(-1, 1);
}
 #prev:hover, #next:hover {
    opacity: .7;
 }
 #prev.active, #next.active {
    background: var(--white);
 }
 #next {
     right: 15px;
 }
 #prev.active::after, #next.active::after {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
 }
 #next::after {
     content: '';
 }
 #prev::after {
     content: '';
 }
 .modal-opened {
    /*背景を固定*/
    height: 100vh;
 }
 .num-of-thumbnails{
    color: #fff;
    text-align: center;
 }

 @media (min-width: 768px) {
    .thumbnails-wrapper{
        grid-template-columns: repeat(4, 1fr);
     }
    .slides-overlay li{
        height: 80vh;
        width: auto;
     }
    
    #close-02 {
        position: absolute;
        width: 50px;
        height: 50px;
        top: 10%;
        right: 5%;
        background-color: var(--white);
        border: 1px solid var(--navy);
        transition: .3s;
        z-index: 1;
    }
    #prev, #next {
        position: absolute;
        color: #959595;
        width: 60px;
        height: 60px;
        top: 50%;
        transform: translateY(-50%);
        transition: .3s;
        background: rgba(var(--navy-rgb), 0.6);
        border: 1px solid var(--navy);
        border-radius: 9999px;
    }
    #prev {
        left: -50px;
    }
    #next {
        right: -50px;
    }

 }


/* お知らせ */
.news {
    background-color: var(--light-navy);
    color: var(--white);
    letter-spacing: 0.1rem;
}

.news-list li {
    border-bottom: 1px solid rgba(var(--white-rgb), 0.2);
    padding-top: 14px;
    padding-bottom: 14px;
}
.news-list li:first-of-type {
    border-top: 1px solid rgba(var(--white-rgb), 0.2);
}

.news-content {
    display: flex;
    flex-direction: column;
}

@media (min-width: 768px) {
    .news-list li {
        padding-top: 28px;
        padding-bottom: 28px;
    }
    .news-list li a:hover {
        text-decoration: underline;
    }
    .news-content {
        flex-direction: row;
        align-items: center;
        gap: 2rem;
    } 
    
    .news .date {
        margin-bottom: 0;
    }

}

/* よくある質問 と お問い合わせ */
.faq,
.contact {
    position: relative;
    color: var(--navy);
}

.faq-bg-img,
.contact-bg-img {
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;

    background-repeat: no-repeat;
    background-position: bottom center;
    background-size: cover;
    filter: opacity(0.7);
}
.faq-bg-img {
    background-image: url(../img/faq-back-img.jpg);
}
.contact-bg-img {
    background-image: url(../img/contact-back-img.jpg);
}

.faq .page-btn,
.contact .page-btn {
    margin-right: 0;
    margin-bottom: 0;
}
.faq .page-btn-white,
.contact .page-btn-white {
    border-radius: 9999px;
    padding: 0;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;

    background: rgba(var(--white-rgb), 0.6);
    transition: all 0.5s;
}

@media (min-width: 768px) {
    .faq-and-contact {
        display: flex;
        height: 50vh;
    }
    .faq
    ,.contact {
        flex: 0 0 50%;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .faq .common-inner,
    .contact .common-inner {
        width: 100%;
    }

    .contact .midashi {
        text-align: right;
    }

    /* ボタン */
    .faq .page-btn {
        margin-left: 0;
    }
    .contact .page-btn {
        margin-right: 0;
        margin-bottom: 0;
    }
    .faq .page-btn-white,
    .contact .page-btn-white {
        width: 60px;
        height: 60px;
    }

    /* ボタン：ホバー */
    .faq .page-btn-white:hover,
    .contact .page-btn-white:hover {
        background: rgba(var(--navy-rgb), 0.6);
    }
}

@media (min-width: 1200px) {
    /* 左右余白の調整 */
    .faq .container {
        margin-left: calc(50vw - 600px);
    }
    .contact .container {
        margin-right: calc(50vw - 600px);
    }
}

